# Clear Data Source

Clear all Business Partners of a data source.

Endpoint: POST /storages/{storageId}/datasources/{dataSourceId}/clear
Version: 5
Security: apiKey

## Path parameters:

  - `storageId` (string, required)
    Unique identifier of the Storage.
    Example: "72d6900fce6b326088f5d9d91049e3e6"

  - `dataSourceId` (string, required)
    Unique identifier for a Data Source of the Storage.
    Example: "648824a691d8d2503d65103e"

## Response 200 fields (application/json):

  - `numberOfDeletes` (integer)
    Number of deleted Business Partners.
    Example: "50"

  - `numberOfFailures` (integer)
    Number of failures during deletion.
    Example: "0"

  - `failures` (array)
    List of failures.

  - `failures.id` (string)
    A CDQ ID identifies a business partner uniquely in the context of the Corporate Data League.
    Example: "63e635235c06b7396330fe40"

  - `failures.dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: "648824a691d8d2503d65103e"

  - `failures.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: "The ID managed in the customer's SAP systems."

  - `failures.message` (string)
    Error message.
    Example: "This record could not be stored due to timeout."


